Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040823
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. Othersminorhave not tried2019-05-09 13:422019-12-18 12:08
ReportervmromanosView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritylowResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision2e1448b075ab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040823: Delete obsolete db functions that have been deprecated long time ago

DescriptionHere is the list of db functions that could be removed:

m_get_offer_price
m_get_offer_std_price
m_get_offers_price
m_get_offers_std_price

Verify first whether they are not used anywhere (also in external modules), and remove them if safe.
Steps To ReproduceNA
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0041334 closedAtulOpenbravo API Change:Delete obsolete db functions that have been deprecated 

-  Notes
(0113601)
AtulOpenbravo (developer)
2019-07-23 19:22

m_get_pareto_abc_legacy is related to old costing hence will be a part of old costing cleanup issue https://issues.openbravo.com/view.php?id=41421 [^]

Skipped removal of below candidates as the Warehouse rules include the procedure name, which is retrieved by the M_GET_STOCK_PARAM that uses it to launch the rule (aka the procedure).

m_warehouse_default_rule
m_warehouse_default_rule_param

m_get_pareto_abc is also skipped from removal as it is being used in Pareto Product Report.
(0113623)
hgbot (developer)
2019-07-24 17:08

Repository: erp/devel/pi
Changeset: 2e1448b075abe41f4df301be1cbc24489d0d7267
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 16 22:44:29 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2e1448b075abe41f4df301be1cbc24489d0d7267 [^]

Fixes Issue 0040823: Delete obsolete db functions that have been
deprecated long time ago

**Removed functions M_GET_OFFER_PRICE, M_GET_OFFER_STD_PRICE,
M_GET_OFFERS_PRICE, M_GET_OFFERS_STD_PRICE
**Removed references of above removed db functions from other
functions/methods.

---
M src-db/database/model/functions/C_CREATE_PINVOICE_FROM_OUTS.xml
M src-db/database/model/functions/C_GENERATEPOFROMPROJECT.xml
M src-db/database/model/functions/C_GENERATESOFROMPROJECT.xml
M src-db/database/model/functions/C_GENERATESOFROMPROJECTORDER.xml
M src-db/database/model/functions/C_GENERATESOFROMPROJECTPHASE.xml
M src-db/database/model/functions/C_PROJECT_GENERATE.xml
M src-db/database/model/functions/MRP_PURCHASEORDER.xml
M src-db/database/model/functions/M_COPY_PRODUCT_TEMPLATE.xml
M src-db/database/model/functions/M_EXPLODEBOMNOTSTOCK.xml
M src-db/database/model/functions/M_INOUT_CREATEINVOICE.xml
M src-db/database/model/functions/M_INVEXPLODEBOMNOTSTOCK.xml
M src-db/database/model/functions/M_REQUISITION_CREATEPO.xml
M src/org/openbravo/common/actionhandler/createlinesfromprocess/UpdatePricesAndAmounts.java
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice.java
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice_data.xsql
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromOrder.java
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromOrder_data.xsql
M src/org/openbravo/erpCommon/ad_actionButton/ExpenseSOrder.java
M src/org/openbravo/erpCommon/ad_actionButton/ExpenseSOrder_data.xsql
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
M src/org/openbravo/erpCommon/businessUtility/GetPriceOffer_data.xsql
R src-db/database/model/functions/M_GET_OFFERS_PRICE.xml
R src-db/database/model/functions/M_GET_OFFERS_STD_PRICE.xml
R src-db/database/model/functions/M_GET_OFFER_PRICE.xml
R src-db/database/model/functions/M_GET_OFFER_STD_PRICE.xml
---
(0113646)
hgbot (developer)
2019-07-25 11:09

Repository: erp/pmods/org.openbravo.document.massinvoicing
Changeset: db13da46c3c477e15e7b24dd4f1bc4c8459f8a1e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jul 25 14:27:19 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.document.massinvoicing/rev/db13da46c3c477e15e7b24dd4f1bc4c8459f8a1e [^]

Related To Issue 40823:Delete obsolete db functions that have been
deprecated long time ago

** During the api change signature of the method
GetPriceOfferData.getOffersPriceCurrency is changed hence the
updated sent parameter in the classes using it.
** Remove unused variables.

---
M src/org/openbravo/document/massinvoicing/InvoicePropertySetter.java
M src/org/openbravo/document/massinvoicing/MassInvoicing.java
---
(0113670)
vmromanos (developer)
2019-07-26 09:41

Code review OK
(0114175)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0116399)
hgbot (developer)
2019-12-18 12:08

Repository: erp/backports/3.0PR19Q3.3
Changeset: f2bf2a6fb19585bcea6b02a8e123db0ee8b55621
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Dec 18 11:23:08 2019 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR19Q3.3/rev/f2bf2a6fb19585bcea6b02a8e123db0ee8b55621 [^]

Related to Issue 42574. Partial fix of Issue 40823 must be included in order
to be compatible with the changes done to solve the proper issue.

The changes included are to avoid using functions that are deprecated.

---
M src-db/database/model/functions/M_EXPLODEBOMNOTSTOCK.xml
M src-db/database/model/functions/M_INVEXPLODEBOMNOTSTOCK.xml
---

- Issue History
Date Modified Username Field Change
2019-05-09 13:42 vmromanos New Issue
2019-05-09 13:42 vmromanos Assigned To => Triage Finance
2019-05-09 13:42 vmromanos Modules => Core
2019-05-09 13:42 vmromanos Triggers an Emergency Pack => No
2019-06-27 19:23 AtulOpenbravo Status new => scheduled
2019-07-16 14:16 AtulOpenbravo Relationship added depends on 0041334
2019-07-22 14:03 vmromanos Assigned To Triage Finance => AtulOpenbravo
2019-07-23 19:19 AtulOpenbravo Description Updated View Revisions
2019-07-23 19:22 AtulOpenbravo Note Added: 0113601
2019-07-24 17:08 hgbot Checkin
2019-07-24 17:08 hgbot Note Added: 0113623
2019-07-24 17:08 hgbot Status scheduled => resolved
2019-07-24 17:08 hgbot Resolution open => fixed
2019-07-24 17:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2e1448b075abe41f4df301be1cbc24489d0d7267 [^]
2019-07-25 11:09 hgbot Checkin
2019-07-25 11:09 hgbot Note Added: 0113646
2019-07-26 09:41 vmromanos Review Assigned To => vmromanos
2019-07-26 09:41 vmromanos Note Added: 0113670
2019-07-26 09:41 vmromanos Status resolved => closed
2019-07-26 09:41 vmromanos Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114175
2019-12-18 12:08 hgbot Checkin
2019-12-18 12:08 hgbot Note Added: 0116399


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker